<template>
    <div class="modal fade" id="showReceiptPayment" aria-hidden="true" role="dialog" data-backdrop="static">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-span="Close"></button>
                </div>
                <div class="modal-body">
                    <div id="print-receipt-payment" style="width: 198mm; margin: auto">
                        <div class="mortgage_loan">
                            <div class="mortgage_header">
                                <div class="text-center">
                                    <h6 class="text_moul mb-2">ព្រះរាជាណាចក្រកម្ពុជា</h6>
                                    <h6 class="text_moul">ជាតិ សាសនា  ព្រះមហាក្សត្រ</h6>
                                    <img src="icons/contract.png" alt="">
                                    <p><u class="text_moul">លិខិតប្រគល់- ទទួលប្រាក់</u></p>
                                </div>
                            </div>
                            <div class="mortgage_content">
                                <p class="text-center">រវាង</p>
                                <p><strong>អ្នកឲ្យខ្ចី៖</strong> លោក លោក  <span class="text_moul">គួង ឃុនលី</span>  កើតថ្ងៃទី១០ ខែឧសភា ឆ្នាំ១៩៩៧ កាន់អត្តសញ្ញាណប័ណ្ណលេខ ០១០៩៤៥១១៨ ចុះថ្ងៃទី១៣ ខែធ្នូ ឆ្នាំ២០១៨ មានអាសយដ្ឋាន ផ្ទះលេខ៦៤៤ ផ្លូវលំ ភូមិមានជ័យ សង្កាត់ស្ទឹងមានជ័យខណ្ឌមានជ័យ រាជធានីភ្នំពេញ ដែលចាប់ពីពេលនេះទៅហៅថា អ្នកប្រគល់ ។</p>

                                <p class="text-center">និង</p>
                                <p>
                                    <strong>អ្នកខ្ចី៖</strong> 
                                    {{ obj.client?.lady_and_gentle_men}} 
                                    <span class="text_moul">{{ obj.client?.name}}</span> 
                                    កាន់អត្តសញ្ញាណប័ណ្ណលេខ {{ obj.client?.id_card || '..................................' }} 
                                    មានទីលំនៅ 
                                    ផ្ទះលេខ{{ obj.client?.house_no || '......' }} ផ្លូវលេខ{{ obj.client?.street_no || '......' }}
                                    ភូមិ {{ obj.client?.village_kh || '.......................' }}
                                    ឃុំ/សង្កាត់ {{ obj.client?.commune_kh || '...................................' }}
                                    ស្រុក/ខណ្ឌ/ក្រុង {{ obj.client?.district_kh || '.....................................' }}
                                    ខេត្ត/រាជធានី {{ obj.client?.province_kh || '...............................' }}
                                    <span v-if="obj.garuantor1?.name!=null">
                                        និង {{ obj.garuantor1?.lady_and_gentle_men}} 
                                        <span class="text_moul">{{obj.garuantor1?.name || ' ...................... ' }}</span> 
                                    </span>
                                    ដែលចាប់ពីពេលនេះទៅហៅថា អ្នកទទួល ។</p>
                                <p>
                                    <strong>យោង៖</strong> - កិច្ចសន្យាខ្ចីប្រាក់ ចុះ{{funDate(obj.loan?.installment_date)}} រវាងលោក 
                                    <span class="text_moul">គួង ឃុនលី</span>  និង 
                                    {{ obj.client?.lady_and_gentle_men}} 
                                    <span class="text_moul">{{ obj.client?.name}}</span> 
                                    <span v-if="obj.garuantor1?.name!=null">
                                        ជាមួយ {{ obj.garuantor1?.lady_and_gentle_men}} 
                                        <span class="text_moul">{{obj.garuantor1?.name || ' ...................... ' }}</span>
                                    </span>
                                </p>
                                <div class="text-center">
                                    <p>ភាគីទាំងពីរបានព្រមព្រៀងគ្នា</p>
                                    <p>ក្នុងការប្រគល់ប្រាក់ ដូចខាងក្រោមនេះ៖</p>
                                </div>
                                <p>
                                    នៅ{{funDate(obj.loan?.installment_date)}} ភាគី “ក” បានប្រគល់ប្រាក់ ចំនួន {{ obj.loan?.loan_out | numberFomartValue }}{{ obj.loan?.currency_name }} ({{ totalToword(obj.loan?.loan_out, obj.loan?.currency_id) }}) 
                                    ឲ្យ ទៅភាគី “ខ” យោងកិច្ចសន្យាខ្ចីប្រាក់ ចុះ{{funDate(obj.loan?.installment_date)}} ពិតប្រាកដមែន។
                                </p>
                                <div class="row page-avoid text-center">
                                    <div class="col-6">
                                        <p class="text_moul">ស្នាមមេដៃភាគី “ក”</p>
                                        <br>
                                        <br>
                                        <br>
                                        <br>
                                        <p><span class="text_moul">គួង ឃុនលី</span></p>
                                    </div>
                                    <div class="col-6">
                                        <p class="text_moul">ស្នាមមេដៃភាគី “ខ”</p>
                                        <br>
                                        <br>
                                        <br>
                                        <br>
                                        <p>
                                            <span class="text_moul">{{ obj.client?.name}}</span> <span class="ps-4">{{obj.garuantor1?.name || '' }}</span>
                                        </p>
                                    </div>
                                </div>
                                <div class="text-center">
                                    <div class="fw-bold">
                                        <p>បានឃើញ និង បញ្ជាក់ថា៖ </p>
                                        <p>ស្នាមមេដៃខាងលើ ពិតជារបស់សាម៉ីខ្លួនប្រាកដមែន។</p>
                                        <p>{{funDateChankati(obj.loan?.installment_date)}}</p>
                                        <p>{{funDate(obj.loan?.installment_date)}}</p>
                                    </div>
                                    <p class="text_moul">មេធាវី</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-bs-dismiss="modal">{{ $t("Close") }}</button>
                    <button type="button" class="btn btn-primary" @click="printP">
                        {{$t('Print')}}
                    </button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    var moment = require("moment");
    import {currencyToWord } from "number_to_khmer_word";
    export default {
        props:['obj'],
        data(){
            return{
                moment : moment,
                currencyToWord : currencyToWord,
            }
        },
        methods: {
            printP() {
                this.$htmlToPaper("print-receipt-payment", {
                    styles: ["/css/app.css", "/css/print/mortgage-loan.css"],
                });
            },
            funDateChankati(date) {
                return moment(date).toLunarDate();
            },
            funDate(date) {
                if(date){
                    return "ថ្ងៃទី" + moment(date).format("DD") + " ខែ" + this.funMonth(moment(date).format("MMM")) + " ឆ្នាំ" + moment(date).format("YYYY");
                } else {
                    return 'ថ្ងៃទី................... ខែ................... ឆ្នាំ...................'
                }
            },
            funMonth(mon) {
                if (mon == "Jan") {
                    return "មករា";
                } else if (mon == "Feb") {
                    return "កុម្ភៈ";
                } else if (mon == "Mar") {
                    return "មីនា";
                } else if (mon == "Apr") {
                    return "មេសា";
                } else if (mon == "May") {
                    return "ឧសភា";
                } else if (mon == "Jun") {
                    return "មិថុនា";
                } else if (mon == "Jul") {
                    return "កក្កដា";
                } else if (mon == "Aug") {
                    return "សីហា";
                } else if (mon == "Sep") {
                    return "កញ្ញា";
                } else if (mon == "Oct") {
                    return "តុលា";
                } else if (mon == "Nov") {
                    return "វិច្ឆិកា";
                } else if (mon == "Dec") {
                    return "ធ្នូ";
                }
            },
            totalToword(loan_out,currency_id) {
                if (currency_id == 1) {
                    if (loan_out) {
                        return currencyToWord(loan_out, "KHR").slice(1).replace(/-/g, "");
                    } else {
                        return currencyToWord(0, "KHR").slice(1);
                    }
                } else {
                    if (loan_out) {
                        return currencyToWord(loan_out, "USD")
                            .slice(1)
                            .replace(/-/g, " ")
                            .replace(/ ដុល្លារ គត់/, " ដុល្លារសហរដ្ឋអាមេរិចគត់");
                    } else {
                        return currencyToWord(0, "USD").slice(1);
                    }
                }
            },
        }
    }
</script>
